Create a ticket
curl --request POST \
--url https://api.algosmiths.com/api/v1/tickets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"pipeline": 123,
"stage": 123,
"receiver": 123,
"description": "<string>",
"assigned_to": 123,
"assigned_inbox": 123,
"parent_ticket": 123,
"due_at": "2023-11-07T05:31:56Z",
"sla_policy": 123,
"tags": "<unknown>",
"custom_fields": "<unknown>",
"linked_chat_ids": [
123
],
"watcher_ids": [
123
],
"affected_contact_ids": [
123
]
}
'import requests
url = "https://api.algosmiths.com/api/v1/tickets/"
payload = {
"title": "<string>",
"pipeline": 123,
"stage": 123,
"receiver": 123,
"description": "<string>",
"assigned_to": 123,
"assigned_inbox": 123,
"parent_ticket": 123,
"due_at": "2023-11-07T05:31:56Z",
"sla_policy": 123,
"tags": "<unknown>",
"custom_fields": "<unknown>",
"linked_chat_ids": [123],
"watcher_ids": [123],
"affected_contact_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
pipeline: 123,
stage: 123,
receiver: 123,
description: '<string>',
assigned_to: 123,
assigned_inbox: 123,
parent_ticket: 123,
due_at: '2023-11-07T05:31:56Z',
sla_policy: 123,
tags: '<unknown>',
custom_fields: '<unknown>',
linked_chat_ids: [123],
watcher_ids: [123],
affected_contact_ids: [123]
})
};
fetch('https://api.algosmiths.com/api/v1/tickets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"pipeline": 123,
"pipeline_name": "<string>",
"stage": 123,
"stage_name": "<string>",
"stage_color": "<string>",
"receiver": 123,
"receiver_name": "<string>",
"receiver_phone": "<string>",
"affected_contacts": "<string>",
"assigned_to_name": "<string>",
"watchers": [
{
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"source": "unknown",
"last_login_source": "unknown",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"email_notify_alerts": true,
"email_notify_updates": true,
"referred_by": 123
}
],
"sub_tickets": [
{
"id": 123,
"title": "<string>",
"stage_name": "<string>"
}
],
"duplicate_of": 123,
"duplicates": [
{
"id": 123,
"title": "<string>",
"stage_name": "<string>"
}
],
"reopened_count": 123,
"last_customer_at": "2023-11-07T05:31:56Z",
"escalated_at": "2023-11-07T05:31:56Z",
"escalated_to": 123,
"escalated_to_name": "<string>",
"created_by": 123,
"comment_count": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"type": "complaint",
"severity": "sev1",
"priority": "low",
"source": "whatsapp",
"assigned_to": 123,
"assigned_inbox": 123,
"parent_ticket": 123,
"due_at": "2023-11-07T05:31:56Z",
"outcome": "resolved",
"sla_policy": 123,
"first_response_at": "2023-11-07T05:31:56Z",
"first_response_sla": "2023-11-07T05:31:56Z",
"resolution_sla": "2023-11-07T05:31:56Z",
"sla_paused_at": "2023-11-07T05:31:56Z",
"sla_paused_duration": "<string>",
"sla_breached": true,
"tags": "<unknown>",
"custom_fields": "<unknown>"
}{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Tickets
Create a ticket
POST
/
api
/
v1
/
tickets
/
Create a ticket
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 255complaint- Complaintrefund- Refunddispute- Disputebug- Bugfeature- Feature Requestreview- Reviewapproval- Approvalops- Opssales- Salesother- Other
Available options:
complaint, refund, dispute, bug, feature, review, approval, ops, sales, other sev1- Sev1 — Criticalsev2- Sev2 — Highsev3- Sev3 — Mediumsev4- Sev4 — Low
Available options:
sev1, sev2, sev3, sev4 low- Lownormal- Normalhigh- Highurgent- Urgent
Available options:
low, normal, high, urgent whatsapp- WhatsAppmanual- Manualapi- API
Available options:
whatsapp, manual, api Response
Maximum string length:
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
complaint- Complaintrefund- Refunddispute- Disputebug- Bugfeature- Feature Requestreview- Reviewapproval- Approvalops- Opssales- Salesother- Other
Available options:
complaint, refund, dispute, bug, feature, review, approval, ops, sales, other sev1- Sev1 — Criticalsev2- Sev2 — Highsev3- Sev3 — Mediumsev4- Sev4 — Low
Available options:
sev1, sev2, sev3, sev4 low- Lownormal- Normalhigh- Highurgent- Urgent
Available options:
low, normal, high, urgent whatsapp- WhatsAppmanual- Manualapi- API
Available options:
whatsapp, manual, api resolved- Resolvedrefunded- Refundedrejected- Rejectedescalated_external- Escalated externally
Available options:
resolved, refunded, rejected, escalated_external 
